#include <iostream>
struct pom{
	double porez;
	long int zarada;
};
using namespace std;
int main(int argc, char** argv) {
	int x;
	cin>>x;
	double ukupnazarada=0;
	pom niz[x];
	for (int i = 0; i < x; i++)
	{
    cin>>niz[i].zarada;
    ukupnazarada=ukupnazarada+niz[i].zarada;
    cin>>niz[i].porez;
	}
	
	double maks=0;
	for (int i = 0; i < x; i++)
            {
                double pomzar = ukupnazarada;
                for (int j = 0; j < x; j++)
                {
                   if(niz[j].porez <niz[i].porez)
                    {
                        pomzar = pomzar - niz[j].zarada; 
                    }
                }
                if (maks < pomzar * niz[i].porez / 100) maks = pomzar * niz[i].porez / 100;
            }
      cout<<maks;  
            
	return 0;
}